# generator-purecloud-csharp-chatbot [![NPM version][npm-image]][npm-url] [![Build Status][travis-image]][travis-url] [![Dependency Status][daviddm-image]][daviddm-url]

> Uses Jabber to connect to a PureCloud bot user and reply to incoming chat requests/questions

> WARNING: This is not officially supported by PureCloud and could break at any time. A Chat API is under consideration but no ETA is available at this time.

## Installation

First, install [Yeoman](http://yeoman.io) and generator-purecloud-csharp-chatbot using [npm](https://www.npmjs.com/) (we assume you have pre-installed [node.js](https://nodejs.org/)).

Then, create a user in your PureCloud organization. This user will be your bot user.

```bash
npm install -g yo
npm install -g generator-purecloud-csharp-chatbot
```

Then generate your new project:

```bash
yo purecloud-csharp-chatbot
```

## Questions asked

* User: this is your bot user. You need to create a dedicated user in your PureCloud org (i.e. `bot`)
* Password: This is the password for the bot user you have created
* Server: this is the domain part of your bot email address. For example, if your bot email address is bot@genesys.com, enter `genesys.com` here
* Environment (US/EMEA/JP/AU): List of PureCloud locations. Pick the one where you org is located.
* Wolfram App Id (optional): If you would like to enable the Wolfram integration and have the chat bot query it for you, click [here](http://products.wolframalpha.com/api/) to get your App Id

## License

Apache-2.0 © [Pierrick Lozach](www.genesys.com)

[npm-image]: https://badge.fury.io/js/generator-purecloud-csharp-chatbot.svg
[npm-url]: https://npmjs.org/package/generator-purecloud-csharp-chatbot
[travis-image]: https://travis-ci.org/PierrickI3/generator-purecloud-csharp-chatbot.svg?branch=master
[travis-url]: https://travis-ci.org/PierrickI3/generator-purecloud-csharp-chatbot
[daviddm-image]: https://david-dm.org/PierrickI3/generator-purecloud-csharp-chatbot.svg?theme=shields.io
[daviddm-url]: https://david-dm.org/PierrickI3/generator-purecloud-csharp-chatbot
